*** Settings ***
Library    SeleniumLibrary
Library     XvfbRobot

Suite Setup    Start Virtual Display    1920    1080
*** Variables ***
${URL}    http://www.google.com
${BROWSER}    chrome

*** Test Cases ***
ค้นหาคำว่า "ไฟไหม้กิ่งแก้ว" จะได้คำว่า "ด่วน ไฟไหม้โรงงานกิ่งแก้ว เกิดปะทุอีกรอบ"
    เลือก browser เข้าสู่เว็บ google.com
    ค้นหาคำว่า ไฟไหม้กิ่งแก้ว
    กด Enter
    ต้องการเจอ "ด่วน ไฟไหม้โรงงานกิ่งแก้ว เกิดปะทุอีกรอบ"

ค้นหาคำว่า "ล็อกดาวน์กรุงเทพ" จะได้คำว่า "ยกระดับมาตรการ กทม.-ปริมณฑล รวม 6 จังหวัด เดินทางข้ามจังหวัด"
    เลือก browser เข้าสู่เว็บ google.com
    ค้นหาคำว่า ล็อกดาวน์กรุงเทพ
    กด Enter
    ต้องการเจอ "ยกระดับมาตรการ กทม.-ปริมณฑล รวม 6 จังหวัด เดินทางข้ามจังหวัด"

*** Keywords ***
เลือก browser เข้าสู่เว็บ google.com
    Open Browser   url=${URL}    browser=${BROWSER}

ค้นหาคำว่า ไฟไหม้กิ่งแก้ว
    Input Text    name=q    ไฟไหม้กิ่งแก้ว

กด Enter
    Press Keys    name=q    ENTER

ต้องการเจอ "ด่วน ไฟไหม้โรงงานกิ่งแก้ว เกิดปะทุอีกรอบ"
    Page Should Contain    ไฟไหม้โรงงานกิ่งแก้ว เช้านี้เริ่มมีควันดำทะมึนพวยพุ่งขึ้นฟ้าอีกครั้ง

ค้นหาคำว่า ล็อกดาวน์กรุงเทพ
    Input Text    name=q    ล็อกดาวน์กรุงเทพ

ต้องการเจอ "ยกระดับมาตรการ กทม.-ปริมณฑล รวม 6 จังหวัด เดินทางข้ามจังหวัด"
    Page Should Contain    ยกระดับมาตรการ กทม.-ปริมณฑล รวม 6 จังหวัด เดินทางข้ามจังหวัด


